#ifndef BASE64_H_INCLUDED
#define BASE64_H_INCLUDED

#include "common.h"

namespace base64
{
    uint32_t encode(const uint8_t*, uint32_t,  char*, uint32_t);
    uint32_t decode(const  char*, uint32_t, uint8_t*, uint32_t);

    uint32_t encodeLen(uint32_t);
    uint32_t decodeLen(uint32_t);
}

#endif // BASE64_H_INCLUDED
